Lumaktaw sa nilalaman

Infinity Star

I-integrate

ID ng modelo infinity-star/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/infinity-star/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kahilingang ito: $0.07 70 kredito ng API Patakbuhin ito sa page na ito

Kumuha ng API key
ByteDance Text patungong Video #text-to-video

Autoregressive text-to-video na may 16:9, 1:1 o 9:16 output, negative prompt at opsyonal na prompt enhancement

ByteDance · video

Dito mapupunta ang iyong unang resulta

Bumuo ng kahilingan sa ibaba at patakbuhin ito gamit ang iyong API key. Kinokopya ang mga output sa aming storage, na pinananatili nang walang hanggan o 7 araw nang libre.

Bumuo ng kahilingan

Ang mga control ay binubuo mula sa schema ng modelo. Nagbabago ang code at presyo habang ina-adjust mo ang mga ito.

•kinakailangan

Mga tagubilin sa teksto na ginagamit upang bumuo ng video.

aspect_ratio default na 16:9

Aspect ratio ng resultang output.

advanced negative_prompt · num_inference_steps · guidance_scale · tau_video · seed · use_apg · enhance_prompt
default na

Negative prompt na tumutukoy sa content na ibubukod sa pagbuo.

default na 50

Bilang ng inference step na isasagawa.

default na 7.5

Scale ng guidance na inilalapat habang bumubuo.

default na 0.4

Tau value ng scale ng video.

Seed na ginagamit upang ulitin ang mga resulta. Huwag itong isama upang random na bumuo.

POST /run/infinity-star/text-to-video?wait=20 presyo → $0.07
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/infinity-star/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Patakbuhin ang kahilingang ito

Nananatili ang iyong key sa browser na ito: ipinapadala lamang ito sa Doitong API at sine-save (localStorage) lamang kung pipiliin mo ang Tandaan. Kumuha ng API key

Tungkol sa Infinity Star

Gumagawa ng video mula sa teksto na `prompt`, na may `aspect_ratio` na 16:9, 1:1 o 9:16. Kasama sa control ang `negative_prompt`, `num_inference_steps` (1 hanggang 100), `guidance_scale` (1 hanggang 40), `tau_video` at toggle na `use_apg`. Binabago ng `enhance_prompt` ang prompt gamit ang LLM at naka-on bilang default. Maaaring i-lock ang `seed`.

Mga parameter

PangalanUri defaultPinapayagan Paglalarawan
promptkinakailangan
Uristring
Mga tagubilin sa teksto na ginagamit upang bumuo ng video.
negative_promptopsyonal
Uristring
default
Negative prompt na tumutukoy sa content na ibubukod sa pagbuo.
num_inference_stepsopsyonal
Uriinteger
default50
1 – 100
Bilang ng inference step na isasagawa.
guidance_scaleopsyonal
Urinumber
default7.5
1 – 40
Scale ng guidance na inilalapat habang bumubuo.
tau_videoopsyonal
Urinumber
default0.4
0.1 – 1
Tau value ng scale ng video.
use_apgopsyonal
Uriboolean
defaulttrue
Pinapagana o hindi pinapagana ang APG.
aspect_ratioopsyonal
Urienum
default16:9
16:91:19:16
Aspect ratio ng resultang output.
seedopsyonal
Uriinteger | null
Seed na ginagamit upang ulitin ang mga resulta. Huwag itong isama upang random na bumuo.
enhance_promptopsyonal
Uriboolean
defaulttrue
Pinapagana ang pagpapahusay ng prompt gamit ang isang LLM.
kinakailangan

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "infinity-star/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 70,
    "usd": "0.07",
    "charged": 70,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Ikaw ang pumipili para sa iyong mga fileAng bawat outputs[].url ay kopya sa aming storage: pinananatili nang walang hanggan (sinisingil bawat GB-month) o 7 araw nang libre, ayon sa setting ng iyong account o ?storage=.
Parehong shape sa bawat modelotype, url, content_type, width, height at duration, para sa mga larawan, video at audio. Ang output ay sariling result object ng modelo.
Mga field ng output
video
object {url, content_type, file_name, file_size}Resultang video file.

Para sa mga AI agent: nasa Markdown ang pahinang ito sa https://doitong.com/fil/developers/models/infinity-star/text-to-video.md. Lahat ng modelo at gabay: https://doitong.com/developers/llms.txt